﻿@using Jumbula.Common.Constants
@using Jumbula.Common.Helper
@using Jumbula.Core.Domain
@model ProgramPageViewModel

@{
    ViewBag.Title = Model.Name;

    ViewBag.HideProgramDates = Model.HideProgramDates;
    ViewBag.HideEnrollmentCapacity = Model.HideEnrollmentCapacity;
    var Backurl = Request.QueryString["redirectUrl"] != null ? Request.QueryString["redirectUrl"].ToString() : string.Empty;
    ViewBag.DynamicStyle = Model.DynamicStyle;
    ViewBag.IsClassPage = true;
}

<div id="program" itemscope itemtype="@Constants.Itemtype_SportEvent_Url">
    <div id="contentContainer" class="container-fluid">
        <div class="row">
            @Html.Partial("_ProgramInfo", Model)
            <section id="programBody" class="col-sm-12 col-md-9">
                <div>
                    @switch (Model.TypeCategory)
                    {
                        case ProgramTypeCategory.Class:
                            {
                                @Html.Partial("_ClassBody", (SimpleProgramBodyViewModel)Model.Body)
                            }
                            break;
                        case ProgramTypeCategory.Camp:
                            {
                                @Html.Partial("_CampBody", (CampProgramBodyViewModel)Model.Body)
                            }
                            break;
                        case ProgramTypeCategory.SeminarTour:
                            {
                                @Html.Partial("_SeminarBody", (SeminarProgramBodyViewModel)Model.Body)
                            }
                            break;
                        case ProgramTypeCategory.Calendar:
                            {
                                @Html.Partial("_CalendarBody", (CalendarBodyViewModel)Model.Body)
                            }
                            break;
                        case ProgramTypeCategory.ChessTournament:
                            {
                                @Html.Partial("_ChessTourneyBody", (ChessTourneyBodyViewModel)Model.Body)
                            }
                            break;
                        case ProgramTypeCategory.Subscription:
                            {
                                @Html.Partial("_SubscriptionBody", (SubscriptionBodyViewModel)Model.Body)
                            }
                            break;
                        case ProgramTypeCategory.BeforeAfterCare:
                            {
                                @Html.Partial("_BeforeAfterCareBody", (BeforeAfterCareBodyViewModel)Model.Body)
                            }
                            break;
                        default:
                            {

                            }
                            break;
                    }
                </div>




                @Html.Partial("_GoogleMapsDisplay", Model.Map);

            </section>
            <section id="sideBar" class="col-sm-12 col-md-3">

                @if (Model.ListOfImagesAndSource != null && Model.ListOfImagesAndSource.Any())
                {
                    var HasImgSource = false;
                    <section id="catalogImageSlider">
                        <div id="catalogSlider" class="owl-carousel owl-theme">

                            @*@foreach (var imageUrl in Model.ListOfImagesAndSource)*@
                            @foreach (var imageUrl in Model.ListOfImagesAndSource)
                            {
                                if (Model.ListOfImagesAndSource.Count == 1 && string.IsNullOrEmpty(imageUrl.Value))
                                {
                                    HasImgSource = true;
                                    <div class="item hidden-eye" style="background-image:url('@imageUrl.Key')"></div>
                                }
                                else
                                {
                                    HasImgSource = false;
                                    @*<p>@imageUrl.Value</p>*@
                                    <div class="item" style="background-image:url('@imageUrl.Key')"></div>
                                }

                            }
                        </div>
                        @if (!HasImgSource)
                        {
                            <div id="openModalSlider" data-target="#sliderModal" data-toggle="modal"></div>
                        }

                    </section>
                    @*<div id="mapPicHolder" class="affix-place-holder"></div>*@
                }

                @if (Model.HasTestimonials == true)
                {
                    <section id="testimonialsBox">
                        <div class="program-section-title-bg">
                            <h2 class="program-section-title jbi-quote">@Model.TestimonialsTitle</h2>
                        </div>
                        <div class="clearfix"></div>
                        @if (Model.Testimonials != null)
                        {
                            <div class="container-testimonialsBox">@Html.Raw(Model.Testimonials.Replace("\n", "<br>").Replace("\r", "<br>"))</div>
                        }

                    </section>
                }

                <section id="contactBox">
                    <div class="program-section-title-bg">
                        <span class="program-section-title jbi-contact">Any questions?</span>
                    </div>
                    @if (!Model.HasProvider)
                    {
                        if (Model.ClubDomain == "flexacademies")
                        {
                            <p>If you have questions about the class content or activities program, please contact Flex Academies.</p>
                            <dl class="dl-horizontal">
                                @if (!string.IsNullOrEmpty(Model.ClubPhoneNumber) && !Model.HidePhoneNumber)
                                {
                                    <dt><span class="jbi-phone icon"></span>Phone:</dt>
                                    <dd>
                                        <span title="@PhoneNumberHelper.FormatPhoneNumber(Model.ClubPhoneNumber)">@PhoneNumberHelper.FormatPhoneNumber(Model.ClubPhoneNumber)</span>
                                    </dd>
                                    <dt><span class="jbi-phone icon"></span>Phone:</dt>
                                    <dd>
                                        @if (@Model.PhoneExtension != null)
                                        {
                                            <span title="@PhoneNumberHelper.FormatPhoneNumber(Model.PhoneExtension)">@PhoneNumberHelper.FormatPhoneNumber(Model.PhoneExtension)</span>
                                        }
                                    </dd>
                                }
                                @if (!string.IsNullOrEmpty(Model.ClubEmail))
                                {
                                    <dt><span class="jbi-email icon"></span>Email:</dt>
                                    <dd><a href="mailto:@Model.ClubEmail" title="@Model.ClubEmail">@Model.ClubEmail</a></dd>
                                }
                            </dl>
                        }
                        else
                        {
                            <p>Please contact @Model.ClubName office if you have any questions.</p>
                            <dl class="dl-horizontal">
                                @if (!string.IsNullOrEmpty(Model.ClubPhoneNumber) && !Model.HidePhoneNumber)
                                {
                                    <dt><span class="jbi-phone icon"></span>Phone:</dt>
                                    <dd>
                                        @if (@Model.PhoneExtension != null)
                                        {
                                            <span title="@PhoneNumberHelper.FormatPhoneNumber(Model.ClubPhoneNumber) Ext. @PhoneNumberHelper.FormatPhoneNumber(Model.PhoneExtension)">
                                                @PhoneNumberHelper.FormatPhoneNumber(Model.ClubPhoneNumber) Ext. @PhoneNumberHelper.FormatPhoneNumber(Model.PhoneExtension)
                                            </span>

                                        }
                                        else
                                        {
                                            <span title="@PhoneNumberHelper.FormatPhoneNumber(Model.ClubPhoneNumber)">@PhoneNumberHelper.FormatPhoneNumber(Model.ClubPhoneNumber)</span>
                                        }

                                    </dd>
                                }
                                @if (!string.IsNullOrEmpty(Model.ClubEmail))
                                {
                                    <dt><span class="jbi-email icon"></span>Email:</dt>
                                    <dd><a href="mailto:@Model.ClubEmail" title="@Model.ClubEmail">@Model.ClubEmail</a></dd>
                                }
                            </dl>
                        }

                    }
                    else
                    {
                        if (Model.ClubDomain == "flexacademies")
                        {
                            <p>If you have questions about the class content or activities program, please contact Flex Academies.</p>
                            <dl class="dl-horizontal">
                                @if (!string.IsNullOrEmpty(Model.ClubPhoneNumber) && !Model.HidePhoneNumber)
                                {
                                    <dt><span class="jbi-phone icon"></span>Phone:</dt>
                                    <dd>
                                        <span title="@PhoneNumberHelper.FormatPhoneNumber(Model.ClubPhoneNumber)">@PhoneNumberHelper.FormatPhoneNumber(Model.ClubPhoneNumber)</span>
                                    </dd>
                                    <dt><span class="jbi-phone icon"></span>Phone:</dt>
                                    <dd>
                                        @if (@Model.PhoneExtension != null)
                                        {
                                            <span title="@PhoneNumberHelper.FormatPhoneNumber(Model.PhoneExtension)">@PhoneNumberHelper.FormatPhoneNumber(Model.PhoneExtension)</span>
                                        }
                                    </dd>
                                }
                                @if (!string.IsNullOrEmpty(Model.ClubEmail))
                                {
                                    <dt><span class="jbi-email icon"></span>Email:</dt>
                                    <dd><a href="mailto:@Model.ClubEmail" title="@Model.ClubEmail">@Model.ClubEmail</a></dd>
                                }
                            </dl>
                        }
                        else
                        {
                            if (Model.HasPartner)
                            {
                                <p>If you have questions about registration, please contact @Model.PartnerName.</p>
                                <dl class="dl-horizontal">

                                    <dt><span class="jbi-email icon"></span>Email:</dt>
                                    <dd><a href="mailto:@Model.PartnerEmail" title="@Model.PartnerEmail">@Model.PartnerEmail</a></dd>

                                </dl>
                            }

                            <p>If you have questions about the class content, please contact @Model.ProviderName.</p>
                            <dl class="dl-horizontal">

                                @if (!string.IsNullOrEmpty(Model.ProviderPhone))
                                {
                                    <dt><span class="jbi-phone icon"></span>Phone:</dt>
                                    <dd>@PhoneNumberHelper.FormatPhoneNumber(Model.ProviderPhone)</dd>
                                }
                                @if (!string.IsNullOrEmpty(Model.ProviderEmail))
                                {
                                    <dt><span class="jbi-email icon"></span>Email:</dt>
                                    <dd><a href="mailto:@Model.ProviderEmail" title="@Model.ProviderEmail">@Model.ProviderEmail</a></dd>
                                }
                            </dl>
                            <p>If you have questions about the @Model.ClubName program, please contact the Enrichment Coordinator.</p>
                            <dl class="dl-horizontal">

                                @if (!string.IsNullOrEmpty(Model.ClubEmail))
                                {
                                    <dt><span class="jbi-email icon"></span>Email:</dt>
                                    <dd><a href="mailto:@Model.ClubEmail" title="@Model.ClubEmail">@Model.ClubEmail</a></dd>
                                }
                            </dl>
                        }


                    }
                    <div class="clearfix"></div>
                </section>

            </section>
            @if (!Model.IsViewMode)
            {
                <section id="continueContainer" class="col-sm-12">
                    <div class="col-sm-9">
                        @if (!Model.IsStaffActive)
                        {
                            if (Model.Status == ProgramStatus.Frozen)
                            {
                                <span class="pull-right padding15">
                                    Program is frozen.
                                </span>

                            }
                            else if (Model.RegStatus == ProgramRegStatus.NotStarted)
                            {
                                <span class="pull-right padding15">
                                    Registration is not started yet.
                                </span>
                            }
                            else if (Model.RegStatus == ProgramRegStatus.Closed)
                            {
                                <span class="pull-right padding15">
                                    Registration is expired.
                                </span>
                            }
                            else if (Model.ProgramRegStatus.Equals("full", StringComparison.CurrentCultureIgnoreCase))
                            {
                                <span class="pull-right padding15">
                                    Program is full.
                                </span>
                            }
                        }
                        else
                        {
                            <span class="pull-right padding15">
                                You are logged in as a staff member, you can only do off-line registration.
                            </span>
                        }


                        @if (Model.ShowViewEntries)
                        {
                            <p id="note" class="clearfix"><button class="btn btn-info pull-right btn-sm" id="btnEntries">View entries</button></p>
                        }
                    </div>
                    @{
                        //if (!Model.IsFromHomePage)
                        //{
                        if (!Model.IsStaffActive)
                        {
                            if (Model.IsWaitListMode)
                            {
                                if (Model.DisableCapacityRestriction)
                                {
                                     <div class="col-sm-3">
                                        @Html.ActionLink(Model.ERButtonTextLabel, "Register", "Register", new { domain = Model.Domain, seasonDomain = Model.SeasonDomain }, new { id = "continue", @class = "btn btn-jb" })
                                    </div>
                                }
                                else
                                {
                                    <div class="col-sm-3">
                                        @Html.ActionLink(Constants.DefaultERButtonAddToWaitlistLabel, "AddToWaitlist", "Register", new { programId = Model.Id, returnUrl = Request.Url.AbsolutePath, isIndividual = true }, new { id = "continue", @class = "btn btn-jb" })
                                    </div>
                                }
                            }
                            else
                            {
                                if ((Model.RegStatus != ProgramRegStatus.Open && !Model.IsTestMode) || Model.HasNoSession || Model.IsDraft || Model.Status == ProgramStatus.Frozen)
                                {
                                    string disabled = "disabled";
                                    <div class="col-sm-3">
                                        @Html.ActionLink(Model.ERButtonTextLabel, "Register", "Register", new { domain = Model.Domain, seasonDomain = Model.SeasonDomain }, new { id = "continue", @class = "btn btn-jb", style = "pointer-events: none; ", @disabled })
                                    </div>
                                }
                                else
                                {
                                    <div class="col-sm-3">
                                        @Html.ActionLink(Model.ERButtonTextLabel, "Register", "Register", new { domain = Model.Domain, seasonDomain = Model.SeasonDomain }, new { id = "continue", @class = "btn btn-jb" })
                                    </div>
                                }
                            }
                        }
                        else
                        {
                            if (Model.IsWaitListMode)
                            {
                                <div class="col-sm-3">
                                    <a id="continue" class="btn btn-jb" disabled>
                                        @Constants.DefaultERButtonAddToWaitlistLabel
                                    </a>
                                </div>
                            }
                            else
                            {
                                <div class="col-sm-3">
                                    <a id="continue" class="btn btn-jb" disabled>
                                        @Model.ERButtonTextLabel
                                    </a>
                                </div>

                            }
                        }

                    }
                </section>

            }

            <div class="clearfix"></div>
        </div>
    </div>
</div>
@if (Model.ListOfImagesAndSource != null && Model.ListOfImagesAndSource.Any())
{
    <div id="sliderModal" class="modal fade">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">

                </div>
                <div class="modal-body">
                    <div id="catalogSliderModal" class="owl-carousel owl-theme">
                        @foreach (var imageUrl in Model.ListOfImagesAndSource.Where(i => !string.IsNullOrEmpty(i.Value)))
                        {
                            <div class="item"><img src="@imageUrl.Value" alt="" /></div>
                        }
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
}


@section Styles{
    @Styles.Render("~/bundles/programPageStyles")
}

@section Scripts
{
    @Scripts.Render("~/bundles/programPageScripts")


    <script type="text/javascript">
        $("#btnEntries").click(function () {
            CallPopUp(
                '@Html.Raw(Url.Action("ViewChessEntries", "Registrant", new { programId = Model.Id, seasonId = Model.SeasonId, clubId = Model.ClubId }))', "1050px");
        });

        // schedules accordion initialize
        if ($(".program-schedule-accordion:not(.tourney) > .open").size() == 0) {
            var activeAcc = false;
        } else {
            var activeAcc = false;
            //var activeAcc = $(".program-schedule-accordion:not(.tourney) > .open").first().index() / 2;
        }
        $(".program-schedule-accordion:not(.tourney)").accordion({
            collapsible: true,
            active: activeAcc
        });
        $(".program-schedule-accordion:not(.tourney) > .accordion-content").css("height", "auto");
        $(".program-schedule-accordion:not(.tourney)").css("height", "auto");

        //Display aside-right affix
        var asideOuterHeight = $('#sideBar').outerHeight();
        if (is.desktop() && ($(window).outerHeight() - 55) > asideOuterHeight) {
            $('#sideBar').affix({
                offset: {
                    top: 182,
                    bottom: 0
                }
            });
        }
        //If there is a one program-schedule-accordion it should be open
        var AccordionTitle = $('.program-schedule-accordion > h3'),
            AccordionContent = $('.program-schedule-accordion > .accordion-content'),
            AccordionSize = $('.program-schedule-accordion > h3').size();
        $(".program-schedule-accordion > h3>a.preven-parent").click(function(e) {
            e.stopPropagation();
        });
        if (AccordionSize == 1) {
            AccordionTitle.click();
        }

        $('#catalogSliderModal').owlCarousel({
            navigation: true,
            slideSpeed: 300,
            paginationSpeed: 400,
            singleItem: true
        });
        $('#catalogSlider').owlCarousel({
            navigation: true,
            slideSpeed: 300,
            paginationSpeed: 400,
            singleItem: true,
            autoHeight: false,
            stopOnHover: true,
            loop: true,
            autoPlay: true
        });

        function sliderModalImageResize() {
            $('#catalogSliderModal').css('max-height', $(window).outerHeight() - 160);
        }
        sliderModalImageResize()
        $(window).resize(function () {
            sliderModalImageResize();
        });
        if ($(window).outerWidth() <= 768) {
            $('#openModalSlider').fadeOut();
        }

    </script>
}